Loading...
Searching...
No Matches
IPosition.h File Reference
`#include "ArrayFwd.h"`
`#include <vector>`
`#include <cstddef>`
`#include <initializer_list>`
`#include <sys/types.h>`

Go to the source code of this file.

## Classes

class | casacore::IPosition
| More...
class | casacore::IPositionComparator
| Allows a way for IPosition to be used as keys in a std::map. More...
struct | casacore::IPosition_global_functions_IPosition_Arithmetic
| Arithmetic Operations for IPosition's Element by element arithmetic on IPositions. More...
struct | casacore::IPosition_global_functions_IPosition_Logical
| Logical operations for IPosition's Element by element boolean operations on IPositions. More...
struct | casacore::IPosition_global_functions_IPosition_Indexing
| Indexing functions for IPosition's Convert between IPosition and offset in an array. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Functions

std::string | casacore::to_string (const IPosition &ip)